<?php

$block_name = _("Wiki page");

/**
 * This class extends Horde_Block:: to display a Wiki page.
 *
 * $Horde: wicked/lib/Block/page.php,v 1.12 2008-03-11 14:54:05 chuck Exp $
 *
 * Copyright 2004-2008 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Jason Felice <jason.m.felice@gmail.com>
 * @package Horde_Block
 */
class Horde_Block_Wicked_page extends Horde_Block {

    var $_app = 'wicked';

    function _title()
    {
        require_once dirname(__FILE__) . '/../base.php';

        $page = Page::getPage($this->_params['page']);
        return htmlspecialchars($page->pageName());
    }

    function _content()
    {
        require_once dirname(__FILE__) . '/../base.php';

        $page = Page::getPage($this->_params['page']);
        return $page->render(WICKED_MODE_BLOCK);
    }

    function _params()
    {
        return array('page' => array('type' => 'text',
                                     'name' => _("Name of wiki page to display"),
                                     'default' => 'WikiHome'));
    }

}
